Groovy Documentation

## groovy.lang
[Java] Interface GroovyCallable

    public interface GroovyCallable
    extends java.util.concurrent.Callable

A special "marker" style interface allowing Groovy classes to implement both Runnable and Callable yet give preference to Runnable (for backwards compatibility) for APIs having both Runnable and Callable methods. You should generally NOT use this method in your own code.

See Also:
  java.util.concurrent.Callable

Since:
  1.8.0

Method Summary

Methods inherited from interface java.util.concurrent.Callable
java.util.concurrent.Callable#call()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation